﻿/**
 * @author Matt Wright
 */
package com.rokkan.rssviewer.model 
{
	import com.adobe.xml.syndication.generic.FeedFactory;
	import com.adobe.xml.syndication.generic.IFeed;
	import com.rokkan.rssviewer.events.RSSDataEvent;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.SecurityErrorEvent;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import org.robotlegs.mvcs.Actor;
	
	public class RSSLoaderService extends Actor
	{
		protected var _busy:Boolean = false;
		
		public function RSSLoaderService() 
		{
			
		}
		
		private function onEvent( event:Event ):void 
		{
			var e:RSSDataEvent;
			var l:URLLoader = event.target as URLLoader;
			
			removeListeners( l );
			
			switch( event.type )
			{
				case Event.COMPLETE:
					e = new RSSDataEvent( RSSDataEvent.LOADED, FeedFactory.getFeedByString( l.data as String ) );
					break;
					
				case IOErrorEvent.IO_ERROR:
					e = new RSSDataEvent( RSSDataEvent.ERROR, null, "IO Error. It is most likely that the feed could not be found." );
					break;
					
				case SecurityErrorEvent.SECURITY_ERROR:
					e = new RSSDataEvent( RSSDataEvent.ERROR, null, "Security Error. It is most likely you do not have permissions to load this feed." );
					break;
			}
			
			_busy = false;
			
			dispatch( e );
		}
		
		private function removeListeners( l:URLLoader ):void
		{
			l.removeEventListener( Event.COMPLETE, onEvent );
			l.removeEventListener( IOErrorEvent.IO_ERROR, onEvent );
			l.removeEventListener( SecurityErrorEvent.SECURITY_ERROR, onEvent );
		}
		
		private function addListeners( l:URLLoader ):void
		{
			l.addEventListener( Event.COMPLETE, onEvent );
			l.addEventListener( IOErrorEvent.IO_ERROR, onEvent );
			l.addEventListener( SecurityErrorEvent.SECURITY_ERROR, onEvent );
		}
		
		public function load( url:String ):void
		{
			if( !busy && url.length > 0 )
			{
				_busy = true;
				
				var r:URLRequest = new URLRequest( url );
				var l:URLLoader = new URLLoader();
				
				addListeners( l );
				
				l.load( r );
			}
		}
		
		public function get busy():Boolean { return _busy; }
		
	}

}