﻿/**
 * @author Matt Wright
 */
package com.rokkan.rssviewer.view 
{
	import com.rokkan.rssviewer.events.LoadRSSEvent;
	import com.rokkan.rssviewer.events.RSSDataEvent;
	import com.rokkan.rssviewer.view.component.FeedPanel;
	import com.rokkan.rssviewer.view.component.InputPanel;
	import flash.events.Event;
	import org.robotlegs.mvcs.Mediator;
	
	public class RSSViewerMediator extends Mediator
	{
		
		[Inject]
		public var view:Main;
		
		public function RSSViewerMediator() 
		{
			
		}
		
		override public function onRegister():void 
		{
			// Application Events
			eventMap.mapListener( eventDispatcher, RSSDataEvent.LOADED, onRSSDataLoaded );
			eventMap.mapListener( eventDispatcher, RSSDataEvent.ERROR, onRSSDataError );
			
			// Component Events
			eventMap.mapListener( view.inputPanel, InputPanel.LOAD_RSS, onLoadRSS );
		}
		
		private function onRSSDataError( event:RSSDataEvent ):void
		{
			view.inputPanel.enable();
			view.displayError( event.error );
		}
		
		private function onRSSDataLoaded( event:RSSDataEvent ):void
		{
			var feedPanel:FeedPanel = new FeedPanel();
			feedPanel.setFeed( event.feed );
			
			view.inputPanel.enable();
			view.addFeedPanel( feedPanel );
		}
		
		private function onLoadRSS( event:Event ):void
		{
			view.reset();
			view.inputPanel.disable();
			
			dispatch( new LoadRSSEvent( LoadRSSEvent.LOAD_RSS_FEED, view.inputPanel.text ) );
		}
		
	}

}