﻿/**
 * @author Matt Wright
 */
package com.rokkan.rssviewer.view.component 
{
	import com.adobe.xml.syndication.generic.IFeed;
	import com.adobe.xml.syndication.generic.IItem;
	import flash.display.DisplayObjectContainer;
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	public class FeedPanel extends Sprite
	{
		
		public static function createTextField( parent:DisplayObjectContainer, size:Number = 14, color:uint = 0 ):TextField
		{
			var result:TextField = new TextField();
			result.autoSize = TextFieldAutoSize.LEFT;
			result.wordWrap = true;
			result.multiline = true;
			result.defaultTextFormat = new TextFormat( "Arial", size, color );
			return parent.addChild( result ) as TextField;
		}
		
		
		public var titleTF:TextField;
		public var descriptionTF:TextField;
		public var underline:Shape;
		
		public function FeedPanel() 
		{
			titleTF = FeedPanel.createTextField( this, 18 );
			descriptionTF = FeedPanel.createTextField( this, 14 );
			
			underline = new Shape();
			underline.graphics.beginFill( 0xCCCCCC );
			underline.graphics.drawRect( 0, 0, 750, 1 );
			underline.graphics.endFill();
			addChild( underline );
		}
		
		public function setFeed( feed:IFeed ):void
		{
			titleTF.text = feed.metadata.title;
			descriptionTF.text = feed.metadata.description;
			titleTF.width = descriptionTF.width = 750;
			descriptionTF.y = titleTF.y + titleTF.height;
			
			underline.y = descriptionTF.y + descriptionTF.height + 20;
			
			var dY:Number = underline.y + underline.height + 20;
			
			for( var i:int = 0; i < feed.items.length; i++ )
			{
				var feedItem:IItem = feed.items[i];
				var item:FeedPanelItem = new FeedPanelItem( feedItem.title, feedItem.content );
				item.y = dY;
				addChild( item );
				dY += item.height + 20;
			}
		}
		
	}

}