﻿/**
 * @author Matt Wright | matt.wright@rokkan.com
 */
package com.rokkan.rssviewer.view.component 
{
	
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFieldType;
	import flash.text.TextFormat;
	
	public class InputPanel extends Sprite 
	{
		public static const LOAD_RSS:String = "loadRss";
		
		public var inputTF:TextField;
		public var loadBtn:GenericButton;
		public var inputBorder:Shape;
		
		public function InputPanel() 
		{
			loadBtn = new GenericButton( "Load" );
			
			inputBorder = new Shape();
			inputBorder.graphics.lineStyle( 1, 0 );
			inputBorder.graphics.beginFill( 0xFFFFFF );
			inputBorder.graphics.drawRect( 0, 0, 500, loadBtn.height );
			inputBorder.graphics.endFill();
			
			inputTF = new TextField();
			inputTF.type = TextFieldType.INPUT;
			inputTF.defaultTextFormat = new TextFormat( "Arial", 14 );
			inputTF.wordWrap = false;
			inputTF.multiline = false;
			inputTF.text = Main.DEFAULT_RSS_FEED;
			inputTF.width = inputBorder.width - 10;
			inputTF.height = 20;
			inputTF.x = 5;
			inputTF.y = inputBorder.y + inputBorder.height / 2 - inputTF.height / 2;
			
			loadBtn.x = inputBorder.x + inputBorder.width + 10;
			loadBtn.addEventListener( MouseEvent.CLICK, onLoadClick );
			
			addChild( inputBorder );
			addChild( inputTF );
			addChild( loadBtn );
		}
		
		private function onLoadClick( event:MouseEvent ):void 
		{
			dispatchEvent( new Event( LOAD_RSS ) );
		}
		
		public function enable(  ):void 
		{
			mouseEnabled = mouseChildren = true;
			this.alpha = 1;
		}
		
		public function disable(  ):void 
		{
			mouseEnabled = mouseChildren = false;
			this.alpha = 0.5;
		}
		
		public function get text():String
		{
			return inputTF.text;
		}
		
	}
	
}